package cn.ibizlab.eam.core.ys.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.eam.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.eam.core.ys.domain.TEACHER;
/**
 * 关系型数据实体[TEACHER] 查询条件对象
 */
@Slf4j
@Data
public class TEACHERSearchContext extends QueryWrapperContext<TEACHER> {

	private String n_teachername_like;//[教师名称]
	public void setN_teachername_like(String n_teachername_like) {
        this.n_teachername_like = n_teachername_like;
        if(!ObjectUtils.isEmpty(this.n_teachername_like)){
            this.getSearchCond().like("teachername", n_teachername_like);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("teachername", query)   
            );
		 }
	}
}




