package cn.ibizlab.eam.core.ys.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.eam.core.ys.domain.CLASS;
import cn.ibizlab.eam.core.ys.filter.CLASSSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[CLASS] 服务对象接口
 */
public interface ICLASSService extends IService<CLASS>{

    CLASS getDraft(CLASS et) ;
    CLASS get(String key) ;
    boolean create(CLASS et) ;
    void createBatch(List<CLASS> list) ;
    boolean save(CLASS et) ;
    void saveBatch(List<CLASS> list) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    boolean update(CLASS et) ;
    void updateBatch(List<CLASS> list) ;
    boolean checkKey(CLASS et) ;
    Page<CLASS> searchDefault(CLASSSearchContext context) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<CLASS> getClassByIds(List<String> ids) ;
    List<CLASS> getClassByEntities(List<CLASS> entities) ;

}


