package cn.ibizlab.eam.core.ys.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.eam.core.ys.domain.TEACHER;
import cn.ibizlab.eam.core.ys.filter.TEACHERSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[TEACHER] 服务对象接口
 */
public interface ITEACHERService extends IService<TEACHER>{

    TEACHER get(String key) ;
    TEACHER getDraft(TEACHER et) ;
    boolean update(TEACHER et) ;
    void updateBatch(List<TEACHER> list) ;
    boolean checkKey(TEACHER et) ;
    boolean save(TEACHER et) ;
    void saveBatch(List<TEACHER> list) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    boolean create(TEACHER et) ;
    void createBatch(List<TEACHER> list) ;
    Page<TEACHER> searchDefault(TEACHERSearchContext context) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<TEACHER> getTeacherByIds(List<String> ids) ;
    List<TEACHER> getTeacherByEntities(List<TEACHER> entities) ;

}


